Restore objects in a protection group
Restores the specified list of objects to the specified target destination.
Path Parameters
- gcs_protection_group_id string required
Performs the operation on the GCS Protection Group with the specified ID.
- application/json
Request Body required
source object[] required
Objects to restore. These are supposed to come from the preview result.
bucket string requiredBucket the object belongs to
gcs_asset_id stringThe Clumio-assigned ID of a GCS asset, which represents the bucket within the protection group to restore from.
last_modified_time stringLast modified time of the object as an RFC3339 string.
object_key string requiredObject key
restore_cookie string requiredEncrypted metadata for the object to be restored
You can getrestore_cookievia POST /restores/gcp/protection-groups/{gcs_protection_group_id}/previewssize_in_bytes int64 requiredSize in Bytes
storage_class string requiredPossible values: [
STANDARD,NEARLINE,COLDLINE,ARCHIVE]Storage class
version_id string requiredVersion ID
target object required
The destination where the GCS protection group will be restored.
bucket_id string requiredThe Clumio-assigned ID of the bucket to which the backup must be restored. Use the GET /datasources/gcp/cloud-storage-buckets endpoint to fetch valid values.
default_object_checksum_algorithm stringPossible values: [
CRC32C,MD5]Default value:
CRC32CDefault GCS checksum algorithm for restored object. Valid values are:
CRC32C,MD5.
Note that this will be applied when backup didn't have checksum algorithm information.labels object[]
The GCP labels to be applied to the restored objects. The restored objects will not have any labels applied if this is specified as
null.key string requiredThe GCP-assigned label key.
value stringThe GCP-assigned label value.
overwrite booleanDefault value:
falseIf overwrite is set to true, we will overwrite an object if it exists. If it's set to false, then we will fail the restore if an object already exists.
prefix stringPrefix to restore the objects under. If more than one bucket is restored, the bucket name will be appended to the prefix.
project_id string requiredThe Clumio-assigned ID of the GCP project to be used as the restore destination. Use the GET /datasources/gcp/cloud-storage-buckets/{bucket_id} endpoint to fetch the project ID for a bucket.
restore_original_storage_class booleanDefault value:
falseWhether to restore objects with their original storage class or not.
If it istrue,storage_classmust be empty. Otherwise,storage_classmust be given.storage_class stringPossible values: [
STANDARD,NEARLINE,COLDLINE,ARCHIVE]Storage class for restored objects. Valid values are:
STANDARD,NEARLINE,COLDLINE,ARCHIVE.
Note that this must be given unlessrestore_original_storage_classistrue.
- 202
- default
Success
- application/api.clumio.restored-gcs-protection-groups=v1+json
- Schema
- Example (from schema)
Schema
- task_id string
The Clumio-assigned ID of the task created by this restore request. The progress of the task can be monitored using the
GET /tasks/{task_id}endpoint.
{
"task_id": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}